import { JavaObject } from '../../java/lang/JavaObject';
export declare class BenutzerKennwort extends JavaObject {
    user: String | null;
    password: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): BenutzerKennwort;
    static transpilerToJSON(obj: BenutzerKennwort): string;
    static transpilerToJSONPatch(obj: Partial<BenutzerKennwort>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_BenutzerKennwort(obj: unknown): BenutzerKennwort;
